s.windavg(1)	       Grass User's Manual	     s.windavg(1)



s.windavg

NNAAMMEE
       ss..wwiinnddaavvgg  -  Average  an attribute of a site_list for all
       the sites within each cell of the current region.
       _(_G_R_A_S_S _S_i_t_e_s _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       ss..wwiinnddaavvgg
       ss..wwiinnddaavvgg hheellpp
       ss..wwiinnddaavvgg [--qqzzpp] iinnppuutt==_n_a_m_e aattttrr==_n_a_m_e [iinnddeexx==_v_a_l_u_e]  [oouutt--
       ppuutt==_n_a_m_e]

DDEESSCCRRIIPPTTIIOONN
       _s_._w_i_n_d_a_v_g  reads  a  sites  list  averaging  the  selected
       attribute for  each  site  that	falls  within  each  cell
       defined	by the current region settings.  The output gives
       the coordinates of the center of the cell and the  average
       (mean) of the attribute values.


       This  program  may  be  especially useful for generalizing
       data to a specific cell resolution.

OOPPTTIIOONNSS
   FFllaaggss::
       --qq     Run quietly

       --zz     Don't output cells without sites (averages of 0.0)

       --pp     Create output in _g_n_u_p_l_o_t format (overrides  -z  and
	      writes to Standard Output)


   PPaarraammeetteerrss::
       iinnppuutt==_n_a_m_e
	      Name of the input sites list.

       aattttrr==_t_y_p_e
	      Site attribute type to average values over.

	      OOppttiioonnss:: _c_a_t_, _d_i_m_, _d_e_c_i_m_a_l_, _s_t_r_i_n_g

	      DDeeffaauulltt:: _c_a_t

       iinnddeexx==_v_a_l_u_e
	      Site attribute index to average values over.

	      Ignored when the attribute is _c_a_t.

	      DDeeffaauulltt:: 1

       oouuttppuutt==_n_a_m_e
	      Optional	name  of  sites  list  in which output of
	      means will be written.  Standard output is used  if
	      this is missing.


NNOOTTEESS
       Results	are  highly dependent on the settings of the cur-
       rent region.  Only those sites within the  current  region
       will  be  considered.  It may be desirable to decrease the
       cell resolution (make cells bigger) to get good results.


       Processing time increases  geometrically  with  increasing
       cell  resolution (smaller cells).  However, available mem-
       ory should never be an issue.

SSEEEE AALLSSOO
       _g_._r_e_g_i_o_n

       _s_._r_a_n_d

       _s_._s_a_m_p_l_e


BBUUGGSS
       Please send all bug fixes and comments to  the  author  or
       the grass development team.

       http://www.geog.uni-hannover/grass/

AAUUTTHHOORR
       James Darrell McCauley ,

       when he was at: Agricultural Engineering Purdue University


       Updated for GRASS 5.0 by Eric G. Miller (30 Oct 2000)

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_1_/_2_5 _0_5_:_4_5_:_3_5 _$



GRASS 5.0					     s.windavg(1)
